stateMachine Struct Reference
State Machine header.

All nesseccary data for a state machine. More...

`#include <FsmFramework.h>`

## Data Fields

uint32_t | u32StateMachineId
int32_t | s32ActualState
int32_t | s32NextState
uint32_t | u32StateCount
uint32_t | u32EventCount
_Bool | bStateChanged
psStateTable_t | psStateTable

## Detailed Description

All nesseccary data for a state machine.

This struct holds all data that is needed by a state machine. Saving the state table is important, because it is needed to identify the state machine.

The documentation for this struct was generated from the following file:

- FsmFramework.h